Subject: Re: [bess] AD Review of draft-ietf-bess-evpn-vpws-07

From: "Alvaro Retana (aretana)" <[email-masked]>
Date: Fri, 24 Feb 2017 15:17:03 +0000

One more thing…you’re missing the reference to RFC5226.

Thanks!

Alvaro.

---

From: "Shah, Himanshu" <[email-masked]>
Date: Fri, 24 Feb 2017 17:31:01 +0000

Hi Sami –

Some more comments for your consideration (based on -09- version) –
Many of the followings are either clarifications related or editorial.

1-

Overall comment : the draft uses long sentences, short sentences are more
favored (at least that is the feedback I used to get for my drafts).

For example:
--- original text --
Unlike EVPN where Ethernet Tag ID in EVPN routes are set to zero for
   Port-based, vlan-based, and vlan-bundle interface mode and it is set
   to non-zero Ethernet tag ID for vlan-aware bundle mode, in EVPN-VPWS,
   for all the four interface modes, Ethernet tag ID in the Ethernet A-D
   route MUST be set to a non-zero value in all the service interface
   types.
----
This could be written as –

Ethernet tag ID in Ethernet A-D route MUST be set to a non-zero value
irrespective of the service interface types. This is a deviation from
what is expected for EVPN. In EVPN, Ethernet Tag ID in EVPN routes are
set to zero for Port-based, vlan-based and vlan-bundle interface mode
while non-zero Ethernet tag ID only for vlan-aware bundle mode.
----

2-

In section 2.1

Original text ---

If the VLAN is represented by different VIDs on different PEs.
(note there should not be a period here)
(e.g., a different VID per Ethernet segment per PE), then each PE needs to
perform VID translation for frames destined to its Ethernet segment.

Comment ---

This particular paragraph is somewhat confusing. The confusing part is
That text seems to indicate that multiple PEs connected to an ES may
see same VLAN as different VID (which I believe is not true). For
example, PE members PE1 and PE2 of same ESx, may see VID 100 for PE1
but 101 for PE2. I believe what you are trying to convey is PEs on
local ES and PEs on remote ES may have different VIDs.

It can be clarified as –

If the VLAN is represented by different VIDs on local PEs (connected
to local ES) and remote PEs (connected to remote ES), then each PE
needs to perform VID translation for frames destined to its Ethernet segment.

---
3- editorial

Original text for page 8 –

A remote PE SHOULD receive P=1 from only one Primary PE and a B-1 from only one Backup PE.

Comment –
B=1

4- clarification

original text –

This allows an ingress PE to perform flow-based load-balancing
of traffic flows to all of the PEs attached to that ES.

Comment --

In multi-homed All-active configuration, this allows an ingress PE to perform
Flow-based load-balancing of traffic flows to all the PEs attached to that ES.

(I am assuming that in VPWS, single active multi-homing, there is load-balancing
from remote to local multi-homed PEs – Right??)

--

Thanks,
Himanshu

From: BESS <[email-masked]> on behalf of Alvaro Retana <[email-masked]>
Date: Friday, February 24, 2017 at 10:17 AM
To: Sami Boutros <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: Jeffrey Zhang <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [bess] AD Review of draft-ietf-bess-evpn-vpws-07

Thanks!

Alvaro.

_______________________________________________
BESS mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bess

---

From: Sami Boutros <[email-masked]>
Date: Fri, 24 Feb 2017 19:29:43 +0000

Hi Himanshu,

Please see comments inline.

Hi Sami –

1-

For example:
--- original text --

[Sami] We are defining new interface types in other drafts, so we can’t say in the above text
For all a service interface types for example, honestly I am not in favor to change the text.

2-

In section 2.1

Original text ---

Comment ---

This particular paragraph is somewhat confusing. The confusing part is
That text seems to indicate that multiple PEs connected to an ES may
see same VLAN as different VID (which I believe is not true).

[Sami] This is not what the text is indicating.

For
but 101 for PE2.

[Sami] This is simply not possible, since the source of traffic on the ES is one for both PE1 and PE2.

I believe what you are trying to convey is PEs on
local ES and PEs on remote ES may have different VIDs.

[Sami] I will add to the above text, on different PE (s) and different ES (es) instead of different PE (s)

It can be clarified as –

---
3- editorial

Comment –
B=1

[Sami] Sure will fix.

4- clarification

original text –

Comment --

[Sami] Ok I will add that this is for all-active.

Thanks,

Sami

---

From: Sami Boutros <[email-masked]>
Date: Fri, 24 Feb 2017 19:54:59 +0000

Hi Alvaro,

Attached is the -10 draft with all updates. If All good, I will submit it Monday.

Thanks,

Sami

---

From: "Shah, Himanshu" <[email-masked]>
Date: Fri, 24 Feb 2017 20:46:43 +0000

In red..

Thanks,
Himanshu

From: BESS <[email-masked]> on behalf of Sami Boutros <[email-masked]>
Date: Friday, February 24, 2017 at 2:29 PM
To: "Shah, Himanshu" <[email-masked]>, Alvaro Retana <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: Jeffrey Zhang <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [bess] AD Review of draft-ietf-bess-evpn-vpws-07

Hi Himanshu,

Hi Sami –

1-

For example:
--- original text --

[Himanshu] OK. I understand the intent. You note the issue on using “irrespective
of service interface types”. You can append that as “irrespective of service
interface types defined in this document”.

But this was a suggestion for better reading. Leave it or take it.. ☺
2-

In section 2.1

Original text ---

[Himanshu] do note the comment on this ‘period’

Comment ---

For

[Himanshu] but of course. That is the point. It needs clarifying and the text
you offer below would work as well.
I believe what you are trying to convey is PEs on
local ES and PEs on remote ES may have different VIDs.

It can be clarified as –

---
3- editorial

Comment –
B=1

[Sami] Sure will fix.

4- clarification

original text –

Comment --

Thanks,

Sami

 Thanks,
himanshu

---

From: "Alvaro Retana (aretana)" <[email-masked]>
Date: Fri, 24 Feb 2017 21:01:34 +0000

Sami:

The reference to RFC5226 should be Normative.  Other than that, it looks good to me.

Thanks!

Alvaro.